package com.palmnest.model.airconditioner;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 空调加时
 *
 * @author qzy
 */

@Entity
@Table(name = "tb_airconditioner_addtime")
public class AirConditionerAddTime implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 6505144948542637157L;

	private Long       id;
	private String     code;//订单号
	private Long       virtualId;//企业ID
	private Long       virAccountId;//企业账号ID
	private Integer    organizationId;
	private String     applyUser;//'申请人姓名',
	private String     applyTel;//'申请人手机号',
	private String     floorId;//楼层Id 暂时定一层
	private String     roomNos;//申请房号IDS(ID;ID)
	private String     roomNames;//申请房号名称(名称;名称)
	private String applyArea;//申请面积
	private String     dataTypeName;//日期类型(工作日\ 休息日\节假日
	private String     useDisplayTime;//使用时间(合并显示
	private Date       useStartTime;        //使用开始时间
	private Date       useEndTime;        //使用结束时间
	private BigDecimal useLengthTime; //使用时长  2 *小时
	private String     priceDisplay; //单价 显示用 350元/每小时/每户
	private String     freeDetail; //费用明细 2小时*2户*350元=1400.00元
	private BigDecimal freeTotal; //费用总计
	private BigDecimal monthlyFree; //月结费用
	private Integer    status;//待使用\已使用\已取消\已拒绝\无效 待客服专员审核\待客服主管审核\待工程主管审核
	private Integer    billSource;//1. 空调加时 2 预定会议室
	private Integer    useAreaOrTime;//使用1面积 2 时间
	private Long     switchUserId;//开关负责人Id

	private Integer userId;//申请人ID

	private String     switchUser;//开关负责人
	private String     switchTel;//联系电话
	private Integer    isAppManageBook;//1 是 0 否
	private Date       cancelTime;//取消操时间
	private String     cancelUser;//取消操作人
	private String     cancelReason;//取消原因
	private String     meetingCode;//会议室订单加时 会议室订单号
	private String     creatorBillId;            //创建者Id openId
	private String     creator;            //创建者
	private Date       createTime;        //创建日期
	private String     modifier;        //修改者
	private Date       modifyTime;        //修改日期

	private Integer type;
	private Integer roleId;
	private Integer sort;
	private Integer modificationDisabled;
	

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "code")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "virtualId")
	public Long getVirtualId() {
		return virtualId;
	}

	public void setVirtualId(Long virtualId) {
		this.virtualId = virtualId;
	}

	@Column(name = "virAccountId")
	public Long getVirAccountId() {
		return virAccountId;
	}

	public void setVirAccountId(Long virAccountId) {
		this.virAccountId = virAccountId;
	}

	@Column(name = "apply_user")
	public String getApplyUser() {
		return applyUser;
	}

	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}

	@Column(name = "apply_tel")
	public String getApplyTel() {
		return applyTel;
	}

	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}

	@Column(name = "roomNos")
	public String getRoomNos() {
		return roomNos;
	}

	public void setRoomNos(String roomNos) {
		this.roomNos = roomNos;
	}

	@Column(name = "roomNames")
	public String getRoomNames() {
		return roomNames;
	}

	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}

	@Column(name = "applyArea")
	public String getApplyArea() {
		return applyArea;
	}

	public void setApplyArea(String applyArea) {
		this.applyArea = applyArea;
	}

	@Column(name = "dataTypeName")
	public String getDataTypeName() {
		return dataTypeName;
	}

	public void setDataTypeName(String dataTypeName) {
		this.dataTypeName = dataTypeName;
	}

	@Column(name = "useDisplayTime")
	public String getUseDisplayTime() {
		return useDisplayTime;
	}

	public void setUseDisplayTime(String useDisplayTime) {
		this.useDisplayTime = useDisplayTime;
	}

	@Column(name = "useStartTime")
	public Date getUseStartTime() {
		return useStartTime;
	}

	public void setUseStartTime(Date useStartTime) {
		this.useStartTime = useStartTime;
	}

	@Column(name = "useEndTime")
	public Date getUseEndTime() {
		return useEndTime;
	}

	public void setUseEndTime(Date useEndTime) {
		this.useEndTime = useEndTime;
	}

	@Column(name = "useLengthTime")
	public BigDecimal getUseLengthTime() {
		return useLengthTime;
	}

	public void setUseLengthTime(BigDecimal useLengthTime) {
		this.useLengthTime = useLengthTime;
	}

	@Column(name = "priceDisplay")
	public String getPriceDisplay() {
		return priceDisplay;
	}

	public void setPriceDisplay(String priceDisplay) {
		this.priceDisplay = priceDisplay;
	}

	@Column(name = "freeDetail")
	public String getFreeDetail() {
		return freeDetail;
	}

	public void setFreeDetail(String freeDetail) {
		this.freeDetail = freeDetail;
	}

	@Column(name = "freeTotal")
	public BigDecimal getFreeTotal() {
		return freeTotal;
	}

	public void setFreeTotal(BigDecimal freeTotal) {
		this.freeTotal = freeTotal;
	}

	@Column(name = "monthlyFree")
	public BigDecimal getMonthlyFree() {
		return monthlyFree;
	}

	public void setMonthlyFree(BigDecimal monthlyFree) {
		this.monthlyFree = monthlyFree;
	}

	@Column(name = "status")
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@Column(name = "switchUser")
	public String getSwitchUser() {
		return switchUser;
	}

	public void setSwitchUser(String switchUser) {
		this.switchUser = switchUser;
	}

	@Column(name = "switchTel")
	public String getSwitchTel() {
		return switchTel;
	}

	public void setSwitchTel(String switchTel) {
		this.switchTel = switchTel;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "modify_time")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "creatorBillId")
	public String getCreatorBillId() {
		return creatorBillId;
	}

	public void setCreatorBillId(String creatorBillId) {
		this.creatorBillId = creatorBillId;
	}

	public Integer getBillSource() {
		return billSource;
	}

	public void setBillSource(Integer billSource) {
		this.billSource = billSource;
	}

	@Column(name = "floorId")
	public String getFloorId() {
		return floorId;
	}

	public void setFloorId(String floorId) {
		this.floorId = floorId;
	}

	@Column(name = "cancelTime")
	public Date getCancelTime() {
		return cancelTime;
	}

	public void setCancelTime(Date cancelTime) {
		this.cancelTime = cancelTime;
	}

	@Column(name = "cancelUser")
	public String getCancelUser() {
		return cancelUser;
	}

	public void setCancelUser(String cancelUser) {
		this.cancelUser = cancelUser;
	}

	@Column(name = "cancelReason")
	public String getCancelReason() {
		return cancelReason;
	}

	public void setCancelReason(String cancelReason) {
		this.cancelReason = cancelReason;
	}

	@Column(name = "useAreaOrTime")
	public Integer getUseAreaOrTime() {
		return useAreaOrTime;
	}

	public void setUseAreaOrTime(Integer useAreaOrTime) {
		this.useAreaOrTime = useAreaOrTime;
	}

	@Column(name = "meetingCode")
	public String getMeetingCode() {
		return meetingCode;
	}

	public void setMeetingCode(String meetingCode) {
		this.meetingCode = meetingCode;
	}

	public Integer getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}

	public Integer getIsAppManageBook() {
		return isAppManageBook;
	}

	public void setIsAppManageBook(Integer isAppManageBook) {
		this.isAppManageBook = isAppManageBook;
	}

	@Column(name = "type")
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "roleId")
	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	@Column(name = "sort")
	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	@Column(name = "switchUserId")
	public Long getSwitchUserId() {
		return switchUserId;
	}

	public void setSwitchUserId(Long switchUserId) {
		this.switchUserId = switchUserId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	@Column(name = "modification_disabled")
	public Integer getModificationDisabled() {
		return modificationDisabled;
	}

	public void setModificationDisabled(Integer modificationDisabled) {
		this.modificationDisabled = modificationDisabled;
	}
}
